All Classes Namespaces Functions Variables Pages
BrownianIntegrator Class Reference

This is an Integrator which simulates a System using Brownian dynamics. More...

Inheritance diagram for BrownianIntegrator:

## Public Member Functions

def | getTemperature
| getTemperature(BrownianIntegrator self) -> double More...
def | setTemperature
| setTemperature(BrownianIntegrator self, double temp) More...
def | getFriction
| getFriction(BrownianIntegrator self) -> double More...
def | setFriction
| setFriction(BrownianIntegrator self, double coeff) More...
def | getRandomNumberSeed
| getRandomNumberSeed(BrownianIntegrator self) -> int More...
def | setRandomNumberSeed
| setRandomNumberSeed(BrownianIntegrator self, int seed) More...
def | step
| step(BrownianIntegrator self, int steps) More...
def | __init__
| init(OpenMM::BrownianIntegrator self, double temperature, double frictionCoeff, double stepSize) -> BrownianIntegrator init(OpenMM::BrownianIntegrator self, BrownianIntegrator other) -> BrownianIntegrator More...
def | __del__
| del(OpenMM::BrownianIntegrator self) More...
Public Member Functions inherited from Integrator
def | __init__
def | __del__
| del(OpenMM::Integrator self) More...
def | getStepSize
| getStepSize(Integrator self) -> double More...
def | setStepSize
| setStepSize(Integrator self, double size) More...
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double More...
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol) More...
def | step
| step(Integrator self, int steps) More...
def | __getstate__
def | __setstate__

## Public Attributes

| this
Public Attributes inherited from Integrator
| this

## Detailed Description

This is an Integrator which simulates a System using Brownian dynamics.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::BrownianIntegrator self, double temperature, double frictionCoeff, double stepSize) -> BrownianIntegrator init(OpenMM::BrownianIntegrator self, BrownianIntegrator other) -> BrownianIntegrator

Create a BrownianIntegrator.

Parameters

  temperature | the temperature of the heat bath (in Kelvin)
  frictionCoeff | the friction coefficient which couples the system to the heat bath, measured in 1/ps
  stepSize | the step size with which to integrator the system (in picoseconds)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::BrownianIntegrator self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getFriction | ( |  | self | ) |

getFriction(BrownianIntegrator self) -> double

Get the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

References simtk.openmm.openmm.stripUnits().

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(BrownianIntegrator self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

References simtk.openmm.openmm.stripUnits().

def getTemperature | ( |  | self | ) |

getTemperature(BrownianIntegrator self) -> double

Get the temperature of the heat bath (in Kelvin).

References simtk.openmm.openmm.stripUnits().

def setFriction | ( |  | self,
|  |  | args
| ) |  |

setFriction(BrownianIntegrator self, double coeff)

Set the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

Parameters

  coeff | the friction coefficient, measured in 1/ps

References simtk.openmm.openmm.stripUnits().

def setRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

setRandomNumberSeed(BrownianIntegrator self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

References simtk.openmm.openmm.stripUnits().

def setTemperature | ( |  | self,
|  |  | args
| ) |  |

setTemperature(BrownianIntegrator self, double temp)

Set the temperature of the heat bath (in Kelvin).

Parameters

  temp | the temperature of the heat bath, measured in Kelvin.

References simtk.openmm.openmm.stripUnits().

def step | ( |  | self,
|  |  | args
| ) |  |

step(BrownianIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py